About this Help Manual
Copyright Notice
This manual was written for use with GuardWall.com's Guard-IE Ad Popup Blocker/Popup Killer and Privacy Tool.
This manual and the software described herein are protected under U.S. copyright law and international treaty provisions. This user manual and the Guard-IE software may not be copied, except as otherwise provided in your software license agreement, or as expressly permitted in writing by FailSafe Technologies, Inc.

Copyright 1999-2003 John Kokinis, Copyright © 2001-2003 FailSafe Technologies, L.L.C. All rights reserved. FailSafe Technologies, GuardWall, The Bad Ad Database and Guard-IE are all trademarks of FailSafe Technologies, L.L.C.
Additional Copyright and Trademark Notices

Windows is a registered trademark, and Internet Explorer is a trademark of Microsoft Corporation.

All other trademarks and service marks are the property of their respective owners.
Help Version 080703


Guard-IE Description/Welcome Window

Guard-IE™ by GuardWall.com

Popup Blocker - Popup Killer and Privacy Protector

Guard-IE Key Features
Guard-IE
$30 Popup Blockers
$30 Cleaning Products

Popup Window Control
Blocks 100% Pop-ups and pop-unders
Blocks Embedded Drop-Down Ads from GeoCities, Yahoo, others
Easily recalls blocked pop-ups and optionally shows thumbnails of pop-ups
Saves bandwidth by blocking pop-ups WITHOUT downloading them first
White List for Allowed Pop-ups
Blocking of Harmful Scripts and ActiveX Controls
Blocks Script Functions
Blocks ActiveX controls such as Macromedia Flash, Shockwave
White List for trusted websites
Finds Web Bugs with audio and visual notification
Cleaning Functionality
Cleans Cookies, Temporary Internet Files and other Browser Histories
Prevents unwanted data becoming permanently hidden in your PC
Reclaims disk space & increase PC performance by deleting unwanted files
Securely remove information contained in your Index.dat file
IE Web Browser Integration
Smooth Integration right into the Internet Explorer toolbar!
One program that combines privacy-, cleaning and popup killer functions
Automatic loading of program when browser gets started
Quick shutdown of all IE windows ("boss key")
If you use Microsoft's Internet Explorer as your Web Browser, and dislike pop-up windows, destructive scripts, embedded Ads and/or the tracking of your activities, you will appreciate this program!
To register for a free Guard-IE
drawing press the button at right:
(This requires a network connection)


System Requirements, Installation
Minimum Requirements:
To successfully install Guard-IE your computer must possess the following minimum requirements:
  1. Microsoft Windows 95, 98, ME, NT4, Windows 2000 or XP
  2. Internet Explorer Version 5 (5.00.3314.2101), or later:
  • Internet Explorer 5.01 Service Pack 2
  • Internet Explorer 5.5 Service Pack 2
  • Internet Explorer 6.0

Please make sure to always install the latest updates for Internet Explorer and Windows from http://windowsupdate.microsoft.com
Download Guard-IE
You can always download the latest version of Guard-IE from www.GuardWall.com. When you select the "Download" button, you will see a "File Download" window. Select "Save."

You will then see a "Save As/In" window. This window will display the name of the file to download: GuardIExx.EXE, and a destination directory within which to place the file.

You may wish to change the destination to C:\temp or some other location. In any case, note the destination displayed in the "save-file dialog" before pressing "Save."
Installation
Double-click the program you just downloaded or press the "open" option immediately after the download is complete.

The install program asks if it can install the program in the usual location; if you like you can specify a particular location or let the installer choose.

After installation, start Internet Explorer; the following icon bar (below) is installed onto your Microsoft Internet Explorer® web browser:
Note that the GIE toolbar might only show three icons: the castle icon, the Pop-up Blocker icon, and the Web Rules icon. The other icons are there but hidden out of the way to right and can be accessed by sliding the toolbar to the left (The complete GIE toolbar is shown below).
For more information on the Guard-IE Toolbar and its functions, see the section entitled: Using the Guard-IE Toolbar.

If you do not see the GIE toolbar, position your mouse cursor inside the Internet Explorer toolbar, then right-click the right mouse button. You should see the pull-down menu below:

Make sure that "Guard-IE" is checked. If the toolbar is NOT visible, you might also try repeatedly un-checking and checking this option a few times.

If you see only part of the Guard-IE toolbar, it may be hidden by other toolbars and you may just need to move your toolbars around to display the remaining icons. If you are running Internet Explorer (IE) 6.0, you must right-click in the IE toolbar and select "unlock toolbars" before doing this.

To move a toolbar move the mouse cursor to the left side of the toolbar and hover over the small vertical bar, then hold down the left mouse button and drag the toolbar to a desired location.

If you wish to access the entire GIE toolbar, just grab the left side of the toolbar with the left mouse button (as explained above) and slide the toolbar to wherever you like. You will then see the toolbar below:

De-Installation
Guard-IE can be uninstalled in any of the following ways:
  1. Go to the "start" button in the lower-left corner of your display, left-click and select settings. Then select control panel.

    When the control panel pops up, double click the "add/remove programs" icon.

    Find the Guard-IE entry and select the "add/remove" button. It will be automatically removed from your disk and the registry.
  2. Select Start>Programs>Guard-IE>Uninstall Guard-IE
  3. Download and run:
    http://www.GuardWall.com/bin/Other/KillGuardIE.exe
Either way, a message box will appear during the un-installation of the previous version of Guard-IE during which time you will be asked whether you wish to "delete personal settings." To retain the Cookie managment, Web Rules, and Pop-up Blocker configurations answer "NO" to this question.
Expiration of Trial period
Guard-IE Will CEASE FUNCTIONING once the trial period has expired. In order to re-activate the software, you must purchase the software.


Guard-IE Functions/Index.htm

How to Access Guard-IE Functions
Guard-IE functions can be accessed in the following 3 ways:
The Guard-IE Toolbar (click link for more info)

Accessing functions to kill pop-ups and annoying advertising, intercept potential Web-viruses, worms, and script functions, uncover web bugs, and set privacy functions are easily accessible through

Once Guard-IE is installed the Guard-IE Toolbar integrates directly into the Internet Explorer Toolbar as shown below. If slide to the far right, only three of the icons are displayed. It can, however, be slid to the left to show all the toolbar icons.

The Guard-IE Settings/Control Panel (click link for more info)
Pressing the "tool" icon (the castle icon in the Guard-IE toolbar shown above) brings up the Guard-IE Settings/Control Panel which is used to configure Guard-IE. There are five (5) tabs in the Guard-IE Control Panel (Welcome, Popups, Privacy, Web Rules, and Other) as shown in the screenshot below:

The Guard-IE Taskbar Icon (click link for more info)
Clicking on the Guard-IE Taskbar/System Tray Icon is another way to open the Guard-IE control panel.

This option also provides you with an option to remove all histories and shut down all browser windows.

You can also totally disable Guard-IE via this icon.


About Web Security

About Web Security/ Web Firewalls
Guard-IE works with your firewall and antivirus software by intercepting threats at the Web-level which they cannot address:
Web-based security threats include:

1. Active-X and Java Applet Worms and Viruses
Active-X and Java applets provide many powerful functions and their use will continue to expand. However, without protection, these objects can be used to trigger unpleasant consequences.

Guard-IE provides you the ability to allow some such objects while preventing others - a feature not possible in standard firewalls or Web browsers - thus providing you a greater level of security protection.

2. Resetting Your Home Page & Browser Hijacking
 Guard-IE prevents scripts from re-sizing, moving, or re-setting of your browser!

3. S uper Cookies and Snooping Scripts
Any site on the Internet can access the unique identification number assigned by default to every Windows Media Player by using a little JavaScript.

Privacy watchdog groups warn that this technique, referred to as Super Cookies, could enable Web sites to track users.

Guard-IE can conveniently intercept and prevent the Media Player event from running except when you choose it, thereby minimizing the use of this Super Cookie.
You can press the following button to test Guard-IE's ability to safeguard your computer from these threats.


About Ad Blocking
There are 3 Basic Types of Advertisements:
1. Pop-up and Pop-under Ads
These ads occur when a web site you visit opens up additional browser windows without your permission. Often these "pop-ups" are actually placed under your current browser window so you see them only after you close your browser window.

Surveys show that these ads are the most annoying to most people. Guard-IE removes 100% of these - NO EXCEPTIONS.

If you have Guard-IE installed and are seeing pop-ups, you likely have Spyware on your computer without your knowledge. (or you have not turned on Guard-IE's Popup Blocker!) Spyware is often installed during the download of a popular program. It invokes your browser independently to produce pop-ups! You can find many free programs that search for, and delete, Spyware at download.com.

2. S cript-driven Ads (including the GeoCities and Yahoo drop-down ads)
 These ads represent the new trend in on-line advertising. These ads are almost always script-driven and show up INSIDE the web pages you are visiting, usually covering up the content you wish to see.

Some are quite sophisticated, but most people agree that they are all obnoxious.

Macromedia's Flash Player is also being increasingly used for annoying advertising, as is Media Player and Real Player. Guard-IE can prevent these functions from executing until you wish them to.

3. Banner Ads (including Animated Gifs)
Are another form of unwanted advertising. These ads are usually long and skinny gif images. Surveys show that most people "look past" these ads so, by Design, Guard-IE does not attempt to replace or remove these banner ads.
Testing Guard-IE's Ad Blocking

Press the following button to access our Ad Blocking Test Page and test Guard-IE's ability to block annoying advertising.


About Web Bugs, Cookies and Secret Data

About Web Bugs, Cookies, & Secret Data
What are Cookies ?
A "cookie" is a tool used by some advertisers to track your online movements. Physically, a cookie is actually just a file that on your hard drive.

Cookie files are associated with a specific web site and are created from visiting web sites that support cookies. They tend to contain information about your visit to the particular web site. The next time you visit that web site (or potentially some others), that data is accessed again!

Secret Data Stored in Your Bookmarks - the new form of cookies !
A new technique is being used to store persistent information about your web use. Called "persistent userData" this technique is used in a fashion very similar to cookies - but instead of storing data in a separate cookie file which can be easily deleted, this method stores the persistent data DIRECTLY ON YOUR BOOKMARKS!

See Scrubbing Bookmarks for more information on how to remove this data from your bookmarks.

See Prevent Storing Secret Data for more information on how to prevent this technique from spying on you.

"Bad" Cookies:
The most pressing issue concerning cookies centers about concern for user privacy and the potential for abuse. Advertisers are using cookies to develop detailed profiles of people and their browsing habits. Each click of an advertisement or web page can be added to a profile maintained by the advertiser.

For the time being this information is primarily used for the placement of banner advertisements, but the possibility exists that these profiles will be sold to other commercial interests. This could lead to deeper violations of personal privacy, because if any one advertiser links a user identity to their cookie ID, then that information could also be resold. Once your identity becomes known to a single company listed in your cookies file, any of the others might know who you are every time you visit their sites.
"Good Cookies"
While most people believe that most cookies are an invasion of privacy, some sites will only function if cookies are enable/allowed. Online shopping carts are a primary example of this.

Since web browsers DO NOT offer anything but rudimentary cookie functions, and since there are "good" cookies and "bad" cookies that need to be handled differently, Guard-IE is required to manage them.
How do Cookies work ?
The easiest way to explain cookies is with a simple example. You visit a web site for the first time and you are greeted with "Welcome New Visitor". Later when you visit the same web site, you are greeted with "Welcome Back", or sometimes "Welcome Back, Lisa". The cookie file contains the information to let the web site know you have visited the site before. Some personal information is accessible off your computer, but other personal information is gathered from purchasing records or other material on the web site

Web Bugs / Web Beacons
A Web Bug (also called Web Beacon) is a small and invisible image used to track your movements on the web. On the next line we have placed a HARMLESS web bug. Note what the bug typically looks like:
I.e. often you cannot see them because they are extremely small in size and/or transparent. Guard-IE sniffs out and visualizes bug such as these replacing the invisible image with the Roving Eye image seen below. If you enable web bug detection, you can click such eyes to find out more information about the bug.
How does a Web Bug work?
If you visit a web site, let's say the security company located at www.GuardWall.com, then the GuardWall web server will register a generic visit. A counter is likely increased for the company to know how many people are visiting its site, but that is nothing special.

If however, every time you visit www.GuardWall.com, a picture on the GuardWall page is loaded from www.SneakyAdvertisingCompany.com, then Sneaky Ad Company also knows you visited GuardWall. These "pictures" are usually invisible and are referred to as Web Bugs.

Now imagine Sneaky Ad Company correlating millions of such visits. Add on cookie information and now it is possible for Sneaky Ad Company to know that you went to a security company, an on-line trading site, and maybe a football site.
Because of its use of web bugs and cookies, Sneaky Ad Company can now make a very detailed view of your interests based on your history of online activity and purchases. Guard-IE allows you to see these web bugs if they are hidden on web sites you visit. Since Guard-IE destroys cookies, the effectiveness of web bug snooping is limited. However, a soon-to-be released version of Guard-IE will actually block the web bug from being loaded resulting in ever greater protection from unwanted snooping


The Guard-IE ToolBar

Using The Guard-IE Toolbar
Toolbar Functions:
The Guard-IE Toolbar gives you quick and easy access to key functions.
The Settings/Control Panel Icon - (icon A)
The Castle icon is used to bring up the Help system, open the GIE Settings tabs, and access the GIE activation window.
The Popup Blocker Icon - (icon B)
The Pop-up Blocker icon is used to turn on (Red X is displayed) or turn off (No red X displayed) the Pop-up Blocker in that particular browser window.
If you select a link which attempts to open a new browser window (i.e. a pop-up), the cursor will briefly change to the image at right to show you that a pop-up was prevented. See Managing Popups for more information.

A sound (which you can customize) can also play every time a popup is prevented. See Managing Sounds for more information.
The Web Rules Icon - (icon C)
The Web Rules icon (icon C) is used to turn on (Red X is displayed) or turn off (No red X displayed) the Web Rules in that particular browser window. Note: the functions affected must have been selected in the Settings/Control Panel. See the Chapter on Script-based Ad Blocking & Security Functions for more details.
Any time a browser function is blocked, Guard-IE briefly change the cursor to the image at right to show you that a web rule was blocked. Pressing the Web Rules icon will re-load the current page without any Web Rules.

.
The Web Bug Icon - (icon D)
The Web Bug icon is used to notify you of the presence of Web Bugs on a given Web page (see the Web Bugs section).

If the Web Bug Detector is turned on, and the icon is grayed out, no web bugs were found on the current web page. If, however, the web bug icon is blinking red and green then one or more web bugs were found on the web page currently displayed.
Pressing icon E, when it is active will display the normally invisible web bugs found on the web page by displaying the Roving Eye (seen at right) over the actual bug. You can press the Roving Eye to get a report on each Web Bug.

See About Web Bugs, Cookies & Secret Data for more information about how web bugs are used to track you on the web
The History Removal Icon - (icon E)
Deleting unwanted cookies and browser history files can be accomplished immediately by pressing this button.
The Cookie Counter Icon - (icon F)
This numeric display shows how many unwanted cookies are currently stored on your computer. It stops counting after 999.

Experiments have shown that most users need only specify 5 cookies to keep. Hundreds of cookies just take up space, slow down your machine, and allow web sites to more easily track your movements.

See the Chapter on Managing Cookies for more information.


Using the Guard-IE Control Panel

Using the Guard-IE Settings/Control Panel
The GIE Settings/Control Panel allows you to configure the automatic removal of histories, cookies, and Temporary Internet files and provides access to the Cookie and Popup White Lists (i.e. lists of cookies and pop-ups to allow). The Control Panel also provides access to the script filters (to block drop-down ads, window re-sizing, and other such functions).

To open the GIE Settings/Control Panel, click the "Guard-IE" castle icon in the Guard-IE toolbar (see below) and then select "Settings."

The GIE Settings/Control Panel is then displayed; the top which is depicted in the image below:
Welcome
Popups
Privacy
Web Rules
Other

The bottom of the control Panel always displays the following buttons:

  • Press the "F1" button to access this Help document.
    You can also click the "?" in the upper right of the window and then click any item on the Control Panel to bring up Help on that particular item.
  • Press "OK" to remove the Control Panel from view.
  • Press the "About" button to "activate" Guard-IE and determine which version of Guard-IE is installed. This button is also used to purchase Guard-IE.


Using the Guard-IE TaskBar Icon
A handy task bar icon allows users to quickly erase all histories and close all IE instances at the touch of a button. The taskbar icon can be enabled/disabled through the "Other" functions button in the Guard-IE Settings/Control Panel.

Pressing the GuardWall castle in the taskbar will bring up the menu seen below. Just select the function you wish.
Close ALL Browser Windows!
Choosing this option will shut down ALL browser windows on your machine. This is a useful tool if, for some reason, you have turned off the Popup Blocker and have visited a site that opens up too many pop-ups.
Pressing the Advanced Options brings up the following menu:

Disable Guard-IE
Guard-IE can be completely disabled by selecting the "Disable Guard-IE completely" selection.

This option allows you to temporarily bypass all Guard-IE functions without having to uninstall the program. This is particularly useful for webmasters who wish to test their own sites without have Guard-IE interfering.

To re-able Guard-IE press any of the castle icons.


Guard-IE Popups Tab

Managing Popup Windows

The Popup tab in the GIE Settings/Control Panel allows you to turn on or turn off the Popup Blocker, as well as control various options for previewing blocked pop-ups. You can also specify pop-ups to Always Allow using this control.

Popup Blocker Control
Automatically block popup when opening new browser windows: Check this box to deny all popups in all browser windows. You can override this choice in each browser by un-checking the popup icon in the toolbar (i.e. the popup icon will have a red X through it).
Note: Every time a popup is suppressed, the mouse cursor briefly changes to the icon shown at right. As described above, an audio sound can also play when a popup is blocked

Play sound when popup window has been prevented: Check this box if you wish to hear a sound every time a popup is suppressed. Click the speaker icon to the right of the text to select custom sounds.

Enable Smart Popup Blocker: Checking this box allows links you press on a web page to bypass the popup filter. Make sure this option is checked if you wish to avoid having to bypass the popup filter by pressing the shift and/or control keys while pressing the link, or doing the extra click within 2 seconds as shown below.

Show a preview of blocked pop-up windows:

Show a preview of blocked pop-up windows: If you wish to see pop-ups, but have them vanish after being displayed, select the "Show for 2 seconds" option in the "Popup Preview" box.

Windows-XP and Windows-2000 users: can instead select "Fade Out" to have pop-ups dissolve away after being displayed for a couple of seconds.
Save snapshots of blocked pop-up windows:

Guard-IE stores a list of blocked pop-ups. These are stored as URLs, however, you can ask Guard-IE to store a small picture (called a snapshot) of blocked pop-up windows in its history. If you prefer this select a snapshot size in the "Thumbnails" box:

Please note: Snapshots are not available for Windows 95 users. Also note that snapshots cannot be made for some pop-ups as they are created dynamically.
Viewing Snapshots
Snapshots can be viewed by clicking the Guard-IE button in the toolbar and selecting "View recently blocked pop-up windows."
Caution: While quite handy, if the snapshot option is selected, then the actual pop-ups are brought over the network and converted into small images. Hence, choosing the option to store thumbnails will utilize more bandwidth than not choosing this option. If not checked, pop-ups are killed BEFORE they get to your computer! Do not use the thumbnail option if you wish to save bandwidth!
Open Pop-up Blocker Allow List (Bypassing the Pop-up Blocker):
Every time a popup is suppressed, its name will show up in the Pop-up Blocker Allow List. This list will also be visible from the Guard-IE toolbar by clicking the Guard-IE castle and selecting "View recently blocked pop-up windows."

The names of all pop-ups that were blocked will be shown unchecked in the Allowed Popup List. If you wish to allow that popup in the future, simply check the box to its left.

If you wish to allow all pop-ups from that particular site, simply double-click the entry in the Allowed Popup List window and edit the name. Example: In the example below, if you wished to allow ALL pop-ups from the FailSafeTechnologies domain, you would double-click the entry, and remove all text to the right of the domain leaving: "www.FailSafeTechnologies.com."

Pop-ups can occur even when the "Prevent Pop-ups" box is checked if:
  • You have turned off the pop-up filter on a particular browser window by un-checking the popup icon in the Guard-IE toolbar (you would see the red X removed from the popup icon in the toolbar.) In this case, pop-ups will be allowed in that particular browser only.
  • The popup in question, or its root domain name, is checked in the Allowed Popup List. For example, in the Figure below, you can see that a specific popup from www.FailSafeTechnologies is allowed, and ALL pop-ups from www.GuardWall.com are allowed.
If you wish to allow pop-ups from a site not currently listed in the Allowed Popup List, simply click anywhere under the last entry in the Allowed Popup List and type in the domain name, or specific popup name, from which to allow pop-ups.

Other Methods for Bypassing the Pop-up Blocker:
You can also hold the SHIFT or CONTROL key down when pressing a link to allow that link to occur (even if it attempts to open a new browser window). And you can right-click a link, and select the "Open in New Window" option.
Most of the time, however, if you click a link on a web page you would like that link to open and not be forced to make any special key sequences. You can achieve this by checking the "Enable smart pop-up blocker" option mentioned above.


Guard-IE Privacy Tab

Controlling Privacy

The Privacy Control Panel tab allows you to control the deletion and retention of cookies and history files on your computer.

Unfortunately, the Microsoft operating system does not offer adequate control over these sensitive files. Thus, you will find that Guard-IE offers considerable abilities not provided by Internet Explorer.
Privacy Functions
The Privacy Control Panel gives you access to the following three classes of privacy features (click each link for more information):
  • Advanced Cookie Management - Let's you explore cookies on your machine and specify cookies to keep while having all others automatically deleted.
  • Web Use History Deletion - Let's you specify which of the many records of your Web usage to remove.
  • Privacy Reporting - Pressing the "Report" button provides you with a report of information (some of which is secret) being stored on your machine. The report also gives you a convenient summary of non-essential files and cookies which can be deleted and the resulting savings you would receive.


The Guard-IE Privacy Report

The Privacy Report
Pressing the "Report" button under the Privacy tab in the Guard-IE Settings/Control Panel will bring up a detailed report:

This Report:

  • Searches your computer for secret data hidden in your bookmarks
This new form of hidden information is used by some websites to secretly store data on your computer and can be used in a similar fashion as cookies.
  • Displays cookies currently on your machine
     This section simply lists the cookies on your machine and some of their values.
  • Counts number of entries in your browser history
    This number will tell you how much of your history is still accessible to snoops accessing your computer.

  • Calculates wasted space used for Temporary Internet Files
    Most temp Internet files are not necessary and this summary will tell you how much space you save by selecting the deletion of Temporary Internet Files under the Privacy tab in the Guard-IE control panel.

    The Copy button on this form will copy HTML which will allow you to copy this report onto any HTML-enabled program such as Word, or FrontPage.
            •


Controlling Privacy

Web Use History Deletion

Visiting web sites results in various history files being stored on your computer.

Checking any of the boxes in the lower part of the Privacy tab of the GIE Settings/Control Panel will result in those items being removed from your computer once the last instance of Internet Explorer is closed down.

Pressing the red circle with the white "X" to the right of the text will result in those items being immediately removed from your computer. Note that Windows will not allow three types of histories to be deleted while you are running Internet Explorer; those three histories are deleted upon closing down the last instance of IE.

A description of each item follows:
  • Typed URLs refers to the file completion mechanism where Internet Explorer tries to "guess" where you intended to go and fill in the URL once you started typing. For instance, if you visited www.acme.com, then the next time you went to type in that URL, Internet Explorer would suggest this URL once you typed the first few characters. I.e. after typing "www.ac" IE would present you with a pull down menu of all sites you visited that started with "www.ac"
  • Password History refers to passwords you have typed into online forms.
  • Form History refers to words and phrases you have typed in web-based online forms. Typical phrases typed in by most users are keywords for search engines, your name and credit card information.
  • Browser History refers to the history of web sites you visited. If you press the history button in the Internet Explorer toolbar you will see a list of sites you have visited over the past days and/or weeks.
  • Temporary Internet File refers to a list of files downloaded onto your computer during web browsing. These files include images which are cached on your machine in an attempt to avoid having to spend bandwidth downloading them again when you return to a site. They also include many other types of files which can be used to reconstruct the history of your Internet actions. Tip: Select this if you are short on disk space.
  • Scrub Bookmarks will remove information secretly stored on your bookmarks. This new type of data storage is called "persistent userData" and is used in a fashion very similar to cookies. See Secret Data Stored in Your Bookmarks for more information about this new technique.
Note: The selected histories will be deleted automatically each time you close the last instance of Internet Explorer (and Windows Explorer if you have selected to allow Guard-IE to run in the Windows Explorer).

Press the "Scheduler" button to have allowable histories (those with Red Xs) deleted after the computer stays idle for some period of time.


Managing Cookies

Cookies are a special type of file put on your computer from a web page you visit. They are useful, but they can also be quite invasive. See About Web Bugs, Cookies & Secret Data for more information about Cookies.
Seeing the Cookies on your Computer
The Privacy Control Panel displays all cookies set on your computer.
In order to display individual cookies and their contents double-click on the hostname (e.g. item 2 above, called "weather.com" in the screenshot above). You can also double-click the cookie name (one is called "locID" in the example above).
  • Value is a webserver-defined value that often contains the username.
  • Creation time is the time when the cookie was set.
  • Expiration time is when this cookies expires. In order to prevent expiration and to track customers indefinitely, many cookies are set to expire in 10-20 years !
Some sites set more than one cookie; a number shown in square brackets after the cookie name shows how many cookies were set from this site.

Note that you can right-click in the cookie window to display a 'context menu' which can assist in selecting large groups of cookies.
Allowing Certain Cookies
Guard-IE is unique in that it allows you to specify a Cookie White List (i.e. cookies to keep). Most other cookie managers simply allow you to delete all cookies and that is usually not a good idea as some cookies are desired.

The large white window in the Privacy Control Panel displays "hostnames" (also called "web sites") which have placed cookies on your computer. Checking the boxes to the left of the hostname tells Guard-IE that cookies from that hostname are to be saved and NOT removed.
Deleting Cookies
Unchecked hostnames are considered unwanted and those hostname/cookies will be removed when Guard-IE removes unwanted cookies.
If you have checked "Unwanted Cookies" near the bottom of the Privacy Control Panel, these cookies will be removed once the last instance of Internet Explorer is closed down.

You can also press the red circles to the right of the text to immediately remove "unwanted cookies."


Guard-IE Web Rules Tab

Script Blocking & Security Functions
The Web Rules Control Panel tab allows you to block embedded drop-down ads, and other annoying functions.

This control can also block various script functions that some web sites use to re-size your browser windows and/or "Take Over" your screen.

The Web Rules control also gives you a Web Firewall security function which limits Web controls (such as Active-X) that can be executed on your machine. This function is increasingly important as more hostile viruses and Trojans are being placed on Web pages.

Note: You can right-click in the Filter Rules window to select or de-select all entries. Hovering over an item will display any associated tool-tips.

Each section of Web rules (also called Script Filters) can be expanded or contracted by clicking the little boxes with plus signs; the complete filter rules expanded out would appear as follows:

Filter Rule Descriptions:

Ad Blocking Functions:
Double-click the text: "Ad Blocking: Prohibit these functions" to access the following functions:

  • Prevent embedded drop-down ads: if checked will prevent embedded drop-down type ads currently in Guard-IE's Bad Ad Database.
  • Prevent FastClick "InVue": if checked will prevent this new form of embedded ads.
Security: Block Potential Unsafe Script Functions:
Double-click the text: "Security: Block potentially unsafe Web script functions" to access the following functions:

  • Do not show script error messages: Selecting this option will prevent those little error popup boxes that occur when you visit a poorly programmed Web site.
  • Prevent Web sites from storing secret data in your bookmarks:
    Selecting this option will prevent web sites from secretly storing information in your bookmarks. See Secret Data Stored in Your Bookmarks for more information about this new technique.
  • Prevent Web sites from re-setting your home page: Selecting this option will prevent sites from attempting to reset your home page.
  • Prevent Web sites from retrieving browser capabilities: This option will prevent Web sites from reading the capabilities of your computer. See our Testing Guard-IE page for an example of this.
  • Prevent scripts from opening message boxes: We recommend keeping this option UNCHECKED, as some useful scripts will not function if this option is selected.
  • Prevent scripts from opening, resizing, etc.: These options will prevent the hijacking of your Web browser.

Web Firewall: Block Potentially Unsafe Web Controls:
Double-click the text: "Web Firewall: Block potentially unsafe Web controls" to access the following functions:

TO ENGAGE the Web Firewall filter, please make sure to CHECK the line "Turn ON Web Firewall, block all unsafe ActiveX controls except..."
Once you have turned ON the Web Firewall, the items you select below (such as Real Player, Sun Java Applets) WILL BE ALLOWED!

In the above example ALL controls will be allowed except Macromedia Shockwave, Real Player, and the Microsoft File Explorer controls. If you wish to disallow all Shockwave controls except those coming from a particular site/URL, make sure to check this option and then enter the site you wish to allow in the Script Filter Allow List (see below).
  • Preventing Java Applets will prevent the increasingly common infection from Web-based worms and viruses. An Allow-list for these controls is implemented below to simplify the allowing of desired Web controls.
Note: If you check "Prevent download of ActiveX controls, IE will never ask users to install Active-X controls.

Allowing Certain Web Controls (The Script Filter Allow List):

Press the Script Filter Allow List button to open the Allow List.

If you wish to exclude a site from the Web Rules filter (i.e. Allow Web controls from that site), then simply check the URL of that site in the White List. If the URL or site is not displayed you can click on unused line and enter it manually.

Automatically enable web rules in new browser window
Selecting this option means that these rules will be applied to any new browser window you open. Remember that you can de-select the Web Rules icon in the Guard-IE toolbar to easily bypass these rules on a particular browser.
Play sound when filter rule has been applied
By selecting this you can associate a specific sound to mark the blocking of selected functions.


Turn On/Off GIE Sound Functions

How to turn on/off audio/sound functions
Guard-IE sounds functions can be accessed in 3 locations:

The Popup Tab

If selected, this sound is played each time a pop-up is blocked. Press the speaker icon located on the right-hand side of the check-box to select a custom sound.

The Web Rules Tab
If selected, a sound is played each time a Web-rule is invoked. Press the speaker icon located on the right-hand side of the check-box to select a custom sound.

The Other Tab
If selected, this sound is played each time a Web-bug is detected. Press the speaker icon located on the right-hand side of the check-box to select a custom sound.


Guard-IE Other Tab

Other Functions
The "Other" Tab in the GIE Settings/Control Panel allows you to turn on the Web Bug finder, get Guard-IE updates, and control the taskbar icon.

Notification of Web Bugs
This function is unique to Guard-IE and allows you to see hidden web bugs on web pages and track down many details about their purpose.
In addition to the "Bug" icon in the Guard-IE toolbar (Button D, in The Guard-IE Toolbar) changing from being grayed out to being bright red and "alive", Guard-IE can play a sound to notify you that it found a web bug on a page.

Click "Play a sound when web bug detected" to turn this feature on - click the audio icon to the right of the text to specify a sound to be played. (Note: many sounds can be typically be found in C:\WINNT\Media. You can also find sounds by searching for files that end in ".wav"). If you do not wish the web bug detector to be active, simply un-check the "Enable web bug detection" box.
Startup Functions
Check "Show taskbar icon while Guard-IE is running" to display the GuardWall castle in the lower right corner of your computer screen. This icon allows you to shut down all windows and erase all histories with one click, as well as other functions.

Check "Allow Guard-IE to run in Windows Explorer" if you wish to run Guard-IE in the standard Windows Explorer window (in addition to Internet Explorer).
If you check "Allow Guard-IE to run in Windows Explorer" then please be aware that automatic deletion of unwanted cookies and automatic cleaning of histories will occur ONLY when ALL WINDOWS have been shut down or the user logs off.
If you DO NOT check "Allow Guard-IE to run in Windows Explorer", then cookies and histories will be deleted upon closing the last instance of Internet Explorer. Also understand that pop-ups WILL NOT be prevented when you use the Windows Explorer process as a Web browser.

Note: The default after installation is ON because some people start browsing from within Explorer and do not click on the IE symbol. Turn this OFF (uncheck) if you don't do that to save system resources.


Getting Started, A LIVE Tutorial - Page 1/5

Tutorial 1,
Opening the GIE Control Panel

This configuration tutorial will walk you through each of the Guard-IE setting tabs. You will be told how to make these configuration changes yourself independent of this tutorial.

After you install Guard-IE you can open up the Settings/Control Panels by pressing the Guard-IE castle in the Guard-IE toolbar and then selecting "Settings" as shown below.
Opening up the Control Panel

After selecting "Settings" the Settings/Control Panel form will appear. Normally, the Welcome tab will come up as selected. A live version of the Welcome page is shown below.

If you wish to see more Tips of the Day, simply check the little grey box to the right of the "Tip of the Day" text. Press the box above a few times to read some of these Tips.

Uncheck the "Always show this page when Guard-IE starts" if you prefer the Control Panel to open to the tab which was opened last.
Next: Configuring the Popup Blocker


Getting Started, A LIVE Tutorial - Page 2/5

Tutorial 2,
Configuring the Popup Blocker

Configuring the Pop-up Blocker
Now let's configure the Pop-up Blocker. You can open up the Pop-up Blocker by opening the Guard-IE Control Panel and pressing the "Popups" tab as seen below:
Check "Automatically block pop-ups when opening new browser windows" to stop ALL pop-ups.

Leave the check boxes under "Show a preview of blocked pop-up windows" un-checked until you get a good feel for using Guard-IE. Remember that blocked pop-ups are BLOCKED from ever reaching your computer. If you enable pop-up previews, those images WILL be downloaded and thus take up some bandwidth.
With the Popup Blocker turned on, Guard-IE will also prohibit clicking links which open a new browser window. So if you click a link and see the mouse cursor change briefly to the cursor at right, this tells you that the link tried to open a new browser window which was prevented.

To overcome this (i.e. allow links clicked on a page to open a new browser window, we suggest checking "Enable smart pop-up blocker."

You can also hold the CONTROL key down when pressing a link to allow that link to occur (even if it attempts to open a new browser window). And you can always right-click a link, and select the "Open in New Window" option.

Please Note: If you have configured Guard-IE to block pop-ups, and you have a fully registered copy or are testing Guard-IE within the trial period it will stop 100% of pop-ups! There are no exceptions. So if you still see pop-ups, it is likely that you have SpyWare installed on you computer without your knowledge - SpyWare is often placed during the download of a popular program (e.g. Morpheus) and it invokes your browser independently to produce pop-ups! Download one of the many free SpyWare erasing programs to remove this.
Next: Configuring the Privacy Functions


Getting Started, A LIVE Tutorial - Page 3/5

Tutorial 3,
Configuring the Privacy Functions

Configuring the Privacy Functions
Now let's configure the Privacy Functions. You can open up the Privacy Functions property sheet by opening the Guard-IE Settings/Control Panel and pressing the "Privacy" tab as seen below:
Every time you visit a web site that places a cookie on your machine, that cookie, and the domain it is from, is displayed in the Cookie Display (the large white area in this form).

Double-click any of the domains displayed above for a list of cookies from that domain (e.g. someaddress.com). Double-click any of the displayed cookies for more information about that particular cookie.

To remove cookies immediately after shutting down your browser, simply check the "Unwanted Cookies" box. If you wish to RETAIN cookies from some domain, simply check the actual domain in the Cookie Display.

Check the other history boxes to remove all trace of your browser history, form history, password history, etc. upon existing the last instance of Internet Explorer.

If you wish to IMMEDIATELY remove any histories/cookies, click the small red circles with a white X in them.
Next: Configuring the Script-Functions and Script-Ad Blocker


Getting Started, A LIVE Tutorial - Page 4/5

Tutorial 4,
Configuring the Web Security Functions

Configuring the Script-Functions and Script-Ad Blocker

Now let's configure the Ad Blocking and Web Security Filter Functions by opening the Web Rules property sheet in the Guard-IE Settings/Control Panel:

To make sure you are not bothered by drop-down script ads, check "Prevent embedded dropdown ads in database." Remember that this will affect only ads from domains currently in the Bad Ad Database™ . You can also prevent "InVue" Ads by checking "Prevent FastClick InVue Ads."

Email us if you find any domains not in the Guard-IE database where this technique is being used so we can extend this feature.

To prevent the hijacking of your browser (re-setting of home page, changing of window size, etc., check the remaining boxes. This will insure that your browser will never be moved or resized. It will also prevent your home page from being reset!

For now you can leave the Web Firewall settings as they are. This is an advanced feature to be explored when you have more experience with Guard-IE. CAUTION: If you turn on all these Web Rules features, many Web pages will cease to function properly.
Next: Setting Other Functions


Getting Started, A LIVE Tutorial - Page 5/5

Tutorial 5,
Setting Other Functions

Setting Other Functions
Now let's configure some special Functions. You can open up this property sheet by opening the Guard-IE Settings/Control Panel and pressing the "Other" tab as seen below:

Check the "Enable Web bug detection" box to insure that any web bugs you encounter can be sniffed out and identified. You can also select a sound to be played every time a web bug is found.

Click "Show taskbar icon while Guard-IE is running" to display the GuardWall Castle in the lower right of your screen. This icon allows provides a one-button removal of ALL browser windows and histories.

We only recommend selecting "Allow Guard-IE to run in Windows Explorer process" for advanced users wishing access to Guard-IE functions via the Windows Explorer window instead of Internet Explorer.

Pressing the "Update" button will check with our Web server to see if there is an updated version of Guard-IE - if there is, it will notify you and ask permission to install the update.


Registering/Purchasing Guard-IE

Purchasing & Activating Guard-IE
To Purchase Guard-IE
Open the Guard-IE Settings/Control Panel, and press the "About" button. This window displays your registration information and/or the time left in your trial.

Note: You must use the material you are sent after purchase to Activate Guard-IE.

To Purchase
Just press the "purchase" button and follow the directions to access our secure on-line service to purchase the program. Once complete you will be sent a special activation key.

To Activate Guard-IE
Follow the directions you were emailed to fill in the Serial Number Activation Form. Some forms, like the one above, require the input of the exact Name and Email used to make the purchase. It is important to use ONLY the EXACT information sent to you after your purchase (including the proper case of the text).
Some retail versions of Guard-IE feature Activation forms that do not have a Name and Email field and will look like the one below.


Testing Guard-IE

Testing the pop-up killer & Web Filter Rules

Pressing the following button will start a new browser window which will allow you to test Guard-IE's ability to:

  1. Block popups and script-driven Ads, and
  2. Prevent destructive script functions and the transmission of personal data
Note: You need an active Internet connection to access this test page.


Scanning Bookmarks...

Authorize
URL: http://www.author.com/go2/framed.php?url=secure.authorize.net/docs/
http://www.author.com/go2/top_frame.php?section=
http://secure.author.net/docs/developersguide.pml

WatchStone
URL: http://www.watche.com/
http://www.watche.com/white.html
http://www.watche.com/gallery/gallery10.html
http://www.watche.com/white2.html

Scanning Cookies ...

lycos.com - lubid
Value: 01017126B98B50004B323CD6A9DB0000013200000000
Creation Time: 5/7/2002
Expiration Time: 12/31/2037

linkexchange.ru - uid
Value: 438626825
Creation Time: 5/8/2002
Expiration Time: 1/1/2009

bannerbk.ru - uid4bb
Value: 115292158
Creation Time: 5/8/2002
Expiration Time: 5/6/2009

google.com - PREF
Value: ID=145fc7cd75e1ef8a:TM=1020626780:LM=1020626780:S=SKmPftaDe7s
Creation Time: 5/7/2002
Expiration Time: 1/17/2038

citysearch.com - usrid
Value: 8655c40243837f7cea3f5ef05844c83f642f16e9
Creation Time: 5/7/2002
Expiration Time: 5/6/2002

Summary:

17 bookmarks contain hidden data.
You have a total of 65 cookies on your machine
(0 of which are marked in Guard-IE to be saved).
You have visited 3019 web pages since you have cleaned the browser history last.
16.83 MB of disk space could be recovered by deleting 3067 Temporary Internet Files.


Features

Features | Tracks Eraser | Tracks Eraser Pro
Browsers History Data Erasing | Yes | Yes
Windows History Data Erasing | Yes | Yes
Test Mode | Yes | Yes
Applications Support | Support popular applications includes Winzip | Support cations
Plug-ins Support | No | Yes
Custom Item Support | No | Yes
Boss Key | Yes | Yes
Stealth Mode | No | Yes
Securely Erasing | No | Yes
Scheduling | No | Yes
Log Options | No | Yes
Homepage Protection | Yes | Yes
Price (Single User License) | $19.95 | $29.95


Getting Started, A LIVE Tutorial - Page 1/5

The LIVE Tutorial, (Configuring Guard-IE
after Successful Installation)

NOTE: This is a LIVE tutorial whose purpose is to help you configure Guard-IE Ad Blocking Privacy & Security Suite and Popup Blocker. Going through the 5 steps of this tutorial should take 5 to 10 minutes.
Note: When you click any of the check boxes in the Tutorial they will really effect your Guard-IE settings! In other words, the images in Tutorial 1 through Tutorial 5 are not screen-dumps but are, instead, the actual program controls.
Getting Started
After Guard-IE is installed, you should see the Guard-IE (GIE) toolbar within the Internet Explorer toolbar as circled in red below:

Note that the GIE toolbar might only show three icons: the castle icon, the Pop-up Blocker icon, and the Web Rules icon. The other icons are there but hidden out of the way to right and can be accessed by sliding the toolbar to the left (The complete GIE toolbar is shown below).
For more information on the Guard-IE Toolbar and its functions, see the section entitled: Using the Guard-IE Toolbar.

If you do not see the GIE toolbar, position your mouse cursor inside the Internet Explorer toolbar, then right-click the right mouse button. You should see the pull-down menu below:

Make sure that "Guard-IE" is checked. If the toolbar is NOT visible, you might also try repeatedly un-checking and checking this option a few times.

If you see only part of the Guard-IE toolbar, it may be hidden by other toolbars and you may just need to move your toolbars around to display the remaining icons. If you are running Internet Explorer (IE) 6.0, you must right-click in the IE toolbar and select "unlock toolbars" before doing this.

To move a toolbar move the mouse cursor to the left side of the toolbar and hover over the small vertical bar, then hold down the left mouse button and drag the toolbar to a desired location.

If you wish to access the entire GIE toolbar, just grab the left side of the toolbar with the left mouse button (as explained above) and slide the toolbar to wherever you like. You will then see the toolbar below:

Next: O pening the Guard-IE Control Panel


Guard-IE Description/Welcome Window

Wecome to Guard-IE™

Ad Blocking Web Security & Privacy Suite with Integrated Popup Blocker
Guard-IE Key Features:
●
Popup Blocking/Ad Blocking tools,
-to fight annoying advertising
●
Privacy,
-removes all trace of web activities
●
Security,
-from web-based worms & viruses
To register for a free Guard-IE
drawing press the button below

Why you need Guard-IE ?
Popup Blocker

Embedded Ad Blocker
Makes using the Web pleasant again!
Guard-IE blocks 100% pop-ups and pop-unders from Internet Explorer; there are NO EXCEPTIONS. Using the Web without all those annoying pop-ups and script-driven ads increases your productivity and eases your stress level!

Guard-IE also blocks script-based drop-down ads, Macromedia Flash Ads, and many others embedded on a particular Web page.

Guard-IE is continually upgraded to address more of these annoying advertising tricks - if we don't block it now, we probably will very soon!
Privacy
To erase ALL your Web browsing tracks.

Guard-IE provides a COMPLETE set of web usage history removal. But not only does Guard-IE remove the usual set of cookies and temp files, Guard-IE also removes all previous form entries, typed URLs, passwords, etc. Rest easy knowing that your passwords, credit card numbers, and other personal information cannot be as easily found without this protection.

And unlike most "privacy tools" Guard-IE also removes and/or prevents the new class of tools being used to secretly store data on your computer
Security
Protection from Web-based viruses/worms.

Guard-IE is the first ever Web firewall built to work with Internet Explorer.
Standard firewalls typically do not catch Web threats so Guard-IE is designed to complement your firewall and antivirus software by intercepting potentially hostile script-based attacks (such as Active-X or Javascript) that can infect your computer simply by Web browsing!
If you use Microsoft's Internet Explorer as your Web Browser, and dislike pop-up windows, destructive scripts, embedded Ads and/or the tracking of your activities, you will appreciate this program suite!


The Guard-IE Control Panel Welcome Tab
The Welcome tab of the GIE Settings/Control Panel summarizes the set of features in your version of Guard-IE.
Tip of the Day
Press the small button to the right of the "Tip of the Day" text to display a new tip.

Always show this page
If you check this box, then this welcome page will always be displayed when you open the Guard-IE control panel.

If you leave this box un-checked, when the control panel is opened, it will display the dialog window in use when last closed.